namespace inutralia.Models
{
    using Newtonsoft.Json;
    using System.Collections.Generic;
    using System;

    [JsonObject(MemberSerialization.OptIn)]
    [DataPath("conversation")]

    public class Conversation : ObservableEntityData
    {

       /* [JsonProperty("subject", Required = Required.Always)]*/

        [JsonProperty("subject")]
        public string Subject { get; set; }

        [JsonProperty("created_at")]
        public string Created_at { get; set; }

        [JsonProperty("state_ds")]
        public string State { get; set; }

        [JsonProperty("state_id")]
        public int StateId { get; set; }

       

        [JsonProperty("messages")]
        public IList<Message> Messages { get; set; }

        [JsonProperty("message")]
        public string Message { get; set; }

        public Conversation() { }

       

      


        /*public string ExcerptCompress => Excerpt == null ? "..." : Excerpt.Substring(0, Math.Min(80, Excerpt.Length)).Length < 80 ? Excerpt : Excerpt.Substring(0, Excerpt.Substring(0, 80).LastIndexOf(" ")) + ((Excerpt.Length > 80) ? "..." : "");*/
    }
}
